App Horizon

Error while installing WeMod application.

Hi guys, I downloaded the WeMod desktop application and when I installed it, opened the .NET Framework 4.7.1 installer, it gave me the error: "This version of Windows does not support the .NET Framework 4.7.1 ", can anyone help me?

What version of windows are you on? 4.7.1 requires W7 SP1, Windows 8.1, or Windows 10 Creator Update or newer.